{
  "extends": ["eslint:recommended", "plugin:react/recommended"],
  "plugins": ["react", "react-hooks"], // Add Hooks rules
  "parser": "babel-eslint",
  "env": {
    "node": true,
    "browser": true,
    "es6": true
  },
  "globals": {
    "_": "readonly"
  },
  "rules": {
    "react/prop-types": "off",
    "no-unused-vars": "warn",
    "react/jsx-uses-react": "off",
    "react/react-in-jsx-scope": "off",
    "react-hooks/rules-of-hooks": "error", // Checks rules of Hooks
    "react-hooks/exhaustive-deps": "warn" // Checks effect dependencies
  }
}
